# Uses of Class
ij.macro.Program

Packages that use Program
Package
Description
ij.macro
ij.plugin
ij.plugin.tool

## Uses of Program in ij.macro

Methods in ij.macro that return Program
Modifier and Type
Method
Description
`Program`
Tokenizer.`tokenize(String program)`
Uses a StreamTokenizer to convert an ImageJ macro file into a token stream.
Methods in ij.macro with parameters of type Program
Modifier and Type
Method
Description
`void`
Interpreter.`run(Program pgm)`
Interprets the specified tokenized macro file starting at location 0.
`void`
MacroRunner.`run(Program pgm, int address, String name)`
Runs a tokenized macro on the current thread.
`void`
Interpreter.`runMacro(Program pgm, int macroLoc, String macroName)`
Interprets the specified tokenized macro starting at the specified location.
`void`
MacroRunner.`runShortcut(Program pgm, int address, String name)`
Runs tokenized macro on current thread if pgm.queueCommands is true.
`void`
Interpreter.`saveGlobals(Program pgm)`
Saves global variables.
Constructors in ij.macro with parameters of type Program
Modifier
Constructor
Description
``
`MacroRunner(Program pgm, int address, String name)`
Runs a tokenized macro in a separate thread.
``
`MacroRunner(Program pgm, int address, String name, Editor editor)`
Runs a tokenized macro in debug mode if 'editor' is not null.
``
`MacroRunner(Program pgm, int address, String name, String argument)`
Runs a tokenized macro in a separate thread, passing a string argument.

## Uses of Program in ij.plugin

Methods in ij.plugin that return Program
Modifier and Type
Method
Description
`Program`
MacroInstaller.`getProgram()`

## Uses of Program in ij.plugin.tool

Methods in ij.plugin.tool that return Program
Modifier and Type
Method
Description
`Program`
MacroToolRunner.`getMacroProgram()`
`Program`
PlugInTool.`getMacroProgram()`